Skip to content

3.4.3 List Outbound Orders ​

Endpoint:

plain
POST /OpenApi/V1/Outbound/Outbounding/list?signature=xxx

HTTP method: POST

Request parameters:

FieldTypeRequiredDescriptionNotes
pageintNoPage number
pageSizeintNoPage sizeMaximum 500
shipmentTypeintNoShipping type
deliveryTypeintNoLast-mile delivery type
outStatusintNoOutbound status
startintNoCreation time range start
endintNoCreation time range end
keywordstringNoKeyword (outbound order number, container number, customer reference number, batch number, or SKU)
deliveryTimeStartintNoShipment time range start
deliveryTimeEndintNoShipment time range end
outboundingBizNointNoOutbound batch number

Success response example:

json
{
    "code": "200",
    "result": [{
        "outboundingNo": "Outbound order number",
        "outboundingBizNo": "Outbound batch number",
        "userOutboundNo": "Customer reference number",
        "shipmentType": "Shipment type: 100 dropshipping; 200 relabeling and forwarding; 201 expedited forwarding",
        "outStatus": "Outbound status: 1 awaiting picking; 2 picking; 3 awaiting shipment; 4 shipped; 5 completed; 6 canceled; 7 intercepted",
        "isIntercept": "Whether intercepted: 0 no; 1 yes",
        "interceptTime": "Interception time",
        "deliveryTime": "Shipment time",
        "deliveryType": "Last-mile delivery type: 100 UPS; 101 USPS; 102 FedEx; 200 truck delivery; 300 pickup",
        "dLocationId": "Destination ID",
        "dLocationType": "Destination type: 0 user address; 1 FBA warehouse",
        "shippingType": "Shipping type: 1 by carton; 2 by unit; 3 by carton number",
        "containerNum": "Container number",
        "outCount": "Outbound quantity",
        "outPallet": "Outbound pallet count",
        "remark": "Notes",
        "eta": "Estimated arrival time",
        "createTime": "Creation time",
        "deliveryName": "Destination",
        "transportName": "Carrier name",
        "fnSku": "fnsku",
        "expressQty": "Shipping labels per carton",
        "fbaQty": "FBA labels per carton",
        "fnSkuQty": "FNSKU labels per unit"
    }],
    "message": "Retrieved successfully"
}

Error response example:

json
{
    "code": "400",
    "result": [],
    "message": "Failed to retrieve"
}